/* $Id: problemstat.h,v 1.1.1.1 1996/10/02 10:35:53 roitzsch Exp $ */

#ifndef PROBLEMSTAT_H
#define PROBLEMSTAT_H

#include "problem.h"


//-------------------------------------------------------------------------
    
    
class StaticHeatConduction : virtual public Problem
{
  public:

    StaticHeatConduction();
    virtual ~StaticHeatConduction() { }

  protected:

    virtual DirichletBCs* newDirichletBCs();
    virtual void newMaterial();
    
    virtual void assemble(const Element& elem, const PATCH& t, 
			  const Jacobian& Jac, 
			  Matrix<Num>& A, Vector<Num>& b,
			  const Matrix<Bool>* APattern, 
			  Bool errorEstimatorCall=False);
};
//-------------------------------------------------------------------------

#endif

